galois.cpp File Reference

Implementation of Galois Field algebra classes and functions. More...

`#include <itpp/comm/galois.h>`
`#include <itpp/base/math/log_exp.h>`
`#include <itpp/base/itcompat.h>`
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

std::istream & | itpp::operator>> (std::istream &is, GF &ingf)
| Input stream operator for GF. More...
std::ostream & | itpp::operator<< (std::ostream &os, const GF &ingf)
| Output stream operator for GF. More...
std::ostream & | itpp::operator<< (std::ostream &os, const GFX &ingfx)
| Output stream operator for GFX. More...
GFX | itpp::divgfx (const GFX &c, const GFX &g)
| Division of two GFX (local help function)
GFX | itpp::modgfx (const GFX &a, const GFX &b)
| Modulo function of two GFX (local help function)

## Detailed Description

Implementation of Galois Field algebra classes and functions.

Author
  Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file galois.cpp.

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1